package com.goldencode.p2j.ui;

// TODO: rename to CharacterAttribute?
/**
 * TODO: The values are in-line with the ANSI escape codes (see http://en.wikipedia.org/wiki/ANSI_escape_code) and 
 * the ncurses console driver. When color support is extended to other drivers, translation from the logical value 
 * to the native value (at the level of individual native drivers) will be required.
 */
public enum ColorAttribute {

   NORMAL(0x00), 
   BLINK(0x01), 
   BOLD(0x02), 
   UNDERLINE(0x04), 
   REVERSE(0x08);

   private int value;

   private ColorAttribute(int value) {
       this.value = value;
   }

   public int getValue() {
       return value;
   }
}